<template>
    <v-card>
      <v-row>
        <v-row>
          <v-col md="11">
            <h1 class="font-weight-light text-center">Historial de Siniestros</h1>
          </v-col>

          <v-col md="1">
            <v-btn
                color="blue-grey"
                class="ma-2 white--text"
                fab
                @click="nuevosiniestro=true"
            >
              <v-icon dark>
                mdi-plus

              </v-icon>
            </v-btn>
          </v-col>
        </v-row>


          <v-col md="12">
          <v-data-table
              :headers="headers"
              :items="desserts"
              :items-per-page="5"

          >

            <template v-slot:item.detalle="{item}">

              <v-icon @click="modal()">mdi-message-text-outline</v-icon>

            </template>


          </v-data-table>

        </v-col>
      </v-row>


      <v-dialog v-model="detallesiniestro" width="750px" height="auto">
        <v-card class="mx-auto">
          <v-app-bar color="#e3fcfd">
            <v-toolbar-title class="title font-weight-light">Detalle de siniestro #246213</v-toolbar-title>
          </v-app-bar>
          <v-card-text>
            <br />
            <v-list debes dense>
              <v-row>


                <v-col>

                  <v-icon size="40">

                    mdi-information

                  </v-icon>

                </v-col>

                <v-col md="10">
                  <v-list-item>
                    <v-list-item-content>
                      <v-list-item-title>
                        <h3 class="font-weight-light display-1">Datos Clave</h3>



                      </v-list-item-title>

                    </v-list-item-content>
                  </v-list-item>
                </v-col>
              </v-row>
              <v-row>
                <v-col cols="12" md="6">


                  <v-list-item>





                    <v-list-item-content>
                      <v-list-item-title>
                        <strong style="margin-right: 10px">Reporte Isa:</strong>
                      </v-list-item-title>
                      1459
                    </v-list-item-content>
                  </v-list-item>
                </v-col>
                <v-col cols="12" md="6">
                  <v-list-item>
                    <v-list-item-content>
                      <v-list-item-title>
                        <strong style="margin-right: 10px">Sin. Aseguradora</strong>
                      </v-list-item-title>
                      2019006404
                    </v-list-item-content>
                  </v-list-item>
                </v-col>
              </v-row>
              <v-row>
                <v-col cols="12" md="6">
                  <v-list-item>
                    <v-list-item-content>
                      <v-list-item-title>
                        <strong>Referencia Reporte</strong>
                      </v-list-item-title>
                      2012891
                    </v-list-item-content>
                  </v-list-item>
                </v-col>


              </v-row>
            </v-list>

            <v-list debes dense>
              <v-row>

                <v-col md="2">

                  <v-icon size="40">

                    mdi-shield-account

                  </v-icon>

                </v-col>


                <v-col md="10">
                  <v-list-item>
                    <v-list-item-content>
                      <v-list-item-title>
                        <h3 class="font-weight-light display-1">Datos del asegurado</h3>



                      </v-list-item-title>

                    </v-list-item-content>
                  </v-list-item>
                </v-col>


              </v-row>
              <v-row>
                <v-col cols="12" md="6">


                  <v-list-item>

                    <v-list-item-content>
                      <v-list-item-title>
                        <strong style="margin-right: 10px">Aseguradora:</strong>
                      </v-list-item-title>
                      Hdi Seguros
                    </v-list-item-content>
                  </v-list-item>
                </v-col>
                <v-col cols="12" md="6">
                  <v-list-item>
                    <v-list-item-content>
                      <v-list-item-title>
                        <strong style="margin-right: 10px">Asegurado</strong>
                      </v-list-item-title>
                      Juan Perez
                    </v-list-item-content>
                  </v-list-item>
                </v-col>
              </v-row>
              <v-row>
                <v-col cols="12" md="6">
                  <v-list-item>
                    <v-list-item-content>
                      <v-list-item-title>
                        <strong>Poliza</strong>
                      </v-list-item-title>
                      219-731
                    </v-list-item-content>
                  </v-list-item>
                </v-col>
                <v-col cols="12" md="6">
                  <v-list-item>
                    <v-list-item-content>
                      <v-list-item-title>
                        <strong>Fecha de siniestro</strong>
                      </v-list-item-title>
                      Jueves 8 de octubre 2020
                    </v-list-item-content>
                  </v-list-item>
                </v-col>

              </v-row>

              <v-row>
                <v-col cols="12" md="6">
                  <v-list-item>
                    <v-list-item-content>
                      <v-list-item-title>
                        <strong>No. Siniestro</strong>
                      </v-list-item-title>
                      20190000006404
                    </v-list-item-content>
                  </v-list-item>
                </v-col>
                <v-col cols="12" md="6">
                  <v-list-item>
                    <v-list-item-content>
                      <v-list-item-title>
                        <strong>Ubicacion</strong>
                      </v-list-item-title>
                      Av.Paseo de los leones 2349, Cumbres 2do Sector
                    </v-list-item-content>
                  </v-list-item>
                </v-col>

              </v-row>

              <v-row>
                <v-col cols="12" md="6">
                  <v-list-item>
                    <v-list-item-content>
                      <v-list-item-title>
                        <strong>Contacto</strong>
                      </v-list-item-title>
                      Jorge Mireles
                    </v-list-item-content>
                  </v-list-item>
                </v-col>


                <v-col cols="12" md="6">
                  <v-list-item>
                    <v-list-item-content>
                      <v-list-item-title>
                        <strong>Correo</strong>
                      </v-list-item-title>
                      jmv971110@gmail.com
                    </v-list-item-content>
                  </v-list-item>
                </v-col>


              </v-row>



              <v-row>


                <v-col cols="12" md="6">
                  <v-list-item>
                    <v-list-item-content>
                      <v-list-item-title>
                        <strong>Telefono</strong>
                      </v-list-item-title>
                      8120688363
                    </v-list-item-content>
                  </v-list-item>
                </v-col>


              </v-row>
            </v-list>

            <v-list debes dense>
              <v-row>

                <v-col>

                  <v-icon size="40">

                    mdi-shield-check

                  </v-icon>

                </v-col>

                <v-col md="10">
                  <v-list-item>
                    <v-list-item-content>
                      <v-list-item-title>
                        <h3 class="font-weight-light display-1">Datos de la Poliza</h3>



                      </v-list-item-title>

                    </v-list-item-content>
                  </v-list-item>
                </v-col>


              </v-row>
              <v-row>
                <v-col cols="12" md="6">


                  <v-list-item>





                    <v-list-item-content>
                      <v-list-item-title>
                        <strong style="margin-right: 10px">Numero de poliza:</strong>
                      </v-list-item-title>
                      219-731
                    </v-list-item-content>
                  </v-list-item>
                </v-col>
                <v-col cols="12" md="6">
                  <v-list-item>
                    <v-list-item-content>
                      <v-list-item-title>
                        <strong style="margin-right: 10px">Ramo</strong>
                      </v-list-item-title>
                      Daños
                    </v-list-item-content>
                  </v-list-item>
                </v-col>
              </v-row>
              <v-row>
                <v-col cols="12" md="6">
                  <v-list-item>
                    <v-list-item-content>
                      <v-list-item-title>
                        <strong>Tipo</strong>
                      </v-list-item-title>
                      Paquete Familiar
                    </v-list-item-content>
                  </v-list-item>
                </v-col>
                <v-col cols="12" md="6">
                  <v-list-item>
                    <v-list-item-content>
                      <v-list-item-title>
                        <strong>Cobertura afectada</strong>
                      </v-list-item-title>
                        Incendio
                    </v-list-item-content>
                  </v-list-item>
                </v-col>

              </v-row>
            </v-list>


          </v-card-text>

        </v-card>
      </v-dialog>

      <v-dialog v-model="nuevosiniestro" width="800">
        <v-card class="mx-auto">
          <v-app-bar color="#e3fcfd">
            <v-toolbar-title class="title font-weight-light"> Nuevo Siniestro</v-toolbar-title>
          </v-app-bar>


            <v-stepper v-model="e1">
              <v-stepper-header>
                <v-stepper-step
                    :complete="e1 > 1"
                    step="1"
                >
                  Datos Clave
                </v-stepper-step>

                <v-divider></v-divider>

                <v-stepper-step
                    :complete="e1 > 2"
                    step="2"
                >
                  Datos del asegurado
                </v-stepper-step>

                <v-divider></v-divider>

                <v-stepper-step
                    :complete="e1 > 3"
                     step="3"
                >
                 Datos de la poliza
                </v-stepper-step>

                <v-divider></v-divider>

                <v-stepper-step step="4"

                >
                  Asignación
                </v-stepper-step>

              </v-stepper-header>





              <v-stepper-items>
                <v-stepper-content step="1">
                  <v-card
                      class="mb-12"

                      height="auto"
                  >

                    <v-form v-model="valid">
                      <v-container>
                        <v-row>
                          <v-col
                              cols="12"
                              md="4"
                          >
                            <v-text-field
                                  v-model="Repisa"
                                  type="number"
                                  prepend-icon="mdi-alert"
                                label="Reporte Isa"
                                required
                            ></v-text-field>
                          </v-col>

                          <v-col
                              cols="12"
                              md="4"
                          >
                            <v-text-field
                                v-model="SinAseg"
                                type="number"
                                prepend-icon="mdi-clipboard-list"
                                label="Sin. Aseguradora"
                                required
                            ></v-text-field>
                          </v-col>

                          <v-col
                              cols="12"
                              md="4"
                          >
                            <v-text-field
                                v-model="Refrep"
                                type="number"
                                prepend-icon="mdi-clipboard"
                                label="Referencia Reporte"
                                required
                            ></v-text-field>
                          </v-col>
                        </v-row>
                      </v-container>
                    </v-form>

                  </v-card>

                  <v-btn
                      color="primary"
                      @click="e1 = 2"
                  >
                    Continuar
                  </v-btn>

                  <v-btn text
                    @click="nuevosiniestro=false"
                  >
                    Cancelar
                  </v-btn>
                </v-stepper-content>

                <v-stepper-content step="2">
                  <v-card
                      class="mb-12"

                      height="auto"
                  >

                    <v-form v-model="valid">
                      <v-container>
                        <v-row>
                          <v-col
                              cols="12"
                              md="4"
                          >
                            <v-text-field
                                v-model="aseguradora"
                                prepend-icon="mdi-shield"
                                label="Aseguradora"
                                required
                            ></v-text-field>
                          </v-col>

                          <v-col
                              cols="12"
                              md="4"
                          >
                            <v-text-field
                                v-model="asegurado"
                                prepend-icon="mdi-account"
                                  label="Asegurado"
                                required
                            ></v-text-field>
                          </v-col>

                          <v-col
                              cols="12"
                              md="4"
                          >
                            <v-text-field
                                v-model="poliza"
                                prepend-icon="mdi-clipboard-list"
                                label="Poliza"
                                required
                            ></v-text-field>
                          </v-col>

                          <v-col
                              cols="12"
                              md="4"
                          >
                            <v-menu
                                v-model="menu2"
                                :close-on-content-click="false"
                                :nudge-right="40"
                                transition="scale-transition"
                                offset-y
                                min-width="290px"
                            >
                              <template v-slot:activator="{ on, attrs }">
                                <v-text-field
                                    v-model="date"
                                    label="Fecha de siniestro"
                                    prepend-icon="mdi-calendar"

                                    v-bind="attrs"
                                    v-on="on"
                                ></v-text-field>
                              </template>
                              <v-date-picker
                                  v-model="date"
                                  @input="menu2 = false"
                              ></v-date-picker>
                            </v-menu>

                          </v-col>

                          <v-col
                              cols="12"
                              md="4"
                          >
                            <v-text-field
                                v-model="Nosiniestro"
                                prepend-icon="mdi-format-list-numbered"
                                type="number"
                                label="No.Siniestro"
                                required
                            ></v-text-field>

                          </v-col>


                          <v-col
                              cols="12"
                              md="4"
                          >
                            <v-text-field
                                v-model="ubicacion"
                                prepend-icon="mdi-map-marker"

                                label="ubicacion"
                                required
                            ></v-text-field>

                          </v-col>

                          <v-col
                              cols="12"
                              md="4"
                          >
                            <v-text-field
                                v-model="contacto"
                                prepend-icon="mdi-account-box"

                                label="Contacto"
                                required
                            ></v-text-field>

                          </v-col>




                        </v-row>
                      </v-container>
                    </v-form>

                  </v-card>

                  <v-btn
                      color="primary"
                      @click="e1 = 3"
                  >
                     Continuar
                  </v-btn>

                  <v-btn text
                         @click="nuevosiniestro=false"
                  >
                    Cancelar
                  </v-btn>
                </v-stepper-content>

                <v-stepper-content step="3">
                  <v-card
                      class="mb-12"

                      height="200px"
                  >

                    <v-form v-model="valid3">
                      <v-container>
                        <v-row>
                          <v-col
                              cols="12"
                              md="4"
                          >
                            <v-text-field
                                v-model="numpoliza"
                                prepend-icon="mdi-clipboard-list"
                                label="Numero de Poliza"
                                required
                            ></v-text-field>
                          </v-col>

                          <v-col
                              cols="12"
                              md="4"
                          >
                            <v-text-field
                                v-model="ramo"
                                prepend-icon="mdi-shield-lock"
                                label="Ramo"
                                required
                            ></v-text-field>
                          </v-col>

                          <v-col
                              cols="12"
                              md="4"
                          >
                            <v-text-field
                                v-model="Tipo"
                                prepend-icon="mdi-account-group"

                                label="Tipo"
                                required
                            ></v-text-field>
                          </v-col>



                          <v-col
                              cols="12"
                              md="4"
                          >
                            <v-text-field
                                v-model="cobertura"
                                prepend-icon="mdi-shield-check"

                                label="Cobertura"
                                required
                            ></v-text-field>
                          </v-col>
                        </v-row>
                      </v-container>
                    </v-form>





                  </v-card>

                  <v-btn
                      color="primary"
                      @click="e1 = 4"
                  >
                     Continuar
                  </v-btn>

                  <v-btn text
                         @click="nuevosiniestro=false"
                  >
                    Cancelar
                  </v-btn>
                </v-stepper-content>

                <v-stepper-content step="4">
                  <v-card
                      class="mb-12"

                      height="200px"
                  >

                    <v-row>

                      <v-col md="12">
                        <h3 class="font-weight-light">Por favor asigne el siniestro a un ajustador</h3>
                      </v-col>

                      <v-col md="6">

                        <v-select
                            :items="['Juan perez','Mario Ortiz','Hugo Sanchez' ]"
                            label="Ajustadores"

                        ></v-select>
                      </v-col>
                    </v-row>







                  </v-card>

                  <v-btn
                      color="primary"
                      @click="e1 = 1"
                  >
                    Continuar
                  </v-btn>

                  <v-btn text
                         @click="nuevosiniestro=false"
                  >
                    Cancelar
                  </v-btn>
                </v-stepper-content>
              </v-stepper-items>
            </v-stepper>





        </v-card>
      </v-dialog>
    </v-card>


</template>

<script>
export default {
name: "Tabla-historial",
  data () {
    return {
      date: new Date().toISOString().substr(0, 10),
      menu2: false,
      e1: 1,
      detallesiniestro:false,
      nuevosiniestro:false,
      headers: [
        {
          text: 'Cliente',
          align: 'start',
          sortable: false,
          value: 'cliente',

        },
        { text: 'Fecha de reporte', value: 'fechareporte' ,  },
        { text: 'Asignado', value: 'asignado', },
        { text: 'Detalle', value: 'detalle', },

      ],
      desserts: [
        {
          cliente:'Jorge Mireles',
          fechareporte:'07-10-2020',
          asignado:'Juan Perez'
        },
        {
          cliente:'Jorge Mireles',
          fechareporte:'07-10-2020',
          asignado:'Juan Perez'
        },
        {
          cliente:'Jorge Mireles',
          fechareporte:'07-10-2020',
          asignado:'Juan Perez'
        },

      ],
    }
  },
  methods:{
    modal:function(){
      this.detallesiniestro = true;
    },

  },




}
</script>

<style scoped>

</style>